## aiffparse aiffparse |

## Types and Values

struct | GstAiffParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAiffParse

## Description

Parse a .aiff file into raw or compressed audio.

The aiffparse element supports both push and pull mode operations, making it possible to stream from a network source.

#### Example launch line

    1
    gst-launch-1.0 filesrc location=sine.aiff ! aiffparse ! audioconvert ! alsasink

Read a aiff file and output to the soundcard using the ALSA element. The aiff file is assumed to contain raw uncompressed samples.

    1
    gst-launch-1.0 souphttpsrc location=http://www.example.org/sine.aiff ! queue ! aiffparse ! audioconvert ! alsasink

Stream data from a network url.

## Synopsis

### Element Information

plugin | aiff
author | Pioneers of the Inevitable <songbird@songbirdnest.com>
class | Codec/Demuxer/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-aiff

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, S16BE, S16LE, S24BE, S24LE, S32LE, S32BE, F32BE, F64BE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstAiffParse

    struct GstAiffParse;

Opaque data structure.